PHP-инклюдинг в DigitalWebShop

Дата публикации:
25.09.2006
Всего просмотров:
3577
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
DigitalWebShop 1.x
Уязвимые версии: DigitalWebShop 1.128, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "_PHPLIB[libdir]" в сценарии prepend.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/rechnung.php?_PHPLIB[libdir]=[file]

URL производителя: digitalwebshop.dyndns.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Digital WebShop <= 1.128 Multiple Remote File Include Vulnerabilities

или введите имя

CAPTCHA